Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# SoundInterval Class Reference

Inheritance diagram for SoundInterval:

List of all members.

## Public Member Functions
def | __init__
def | finish
def | loop
def | privFinalize
def | privInitialize
def | privInstant
def | privInterrupt
def | privReverseFinalize
def | privReverseInitialize
def | privReverseInstant
def | privStep
## Public Attributes
| currT
| cutOff
| fLoop
| listenerNode
| node
| sound
| soundDuration
| startTime
| state
| if self._reverse: # Don't attempt to play the sound backwards.
| volume
## Static Public Attributes
tuple | notify = directNotify.newCategory('SoundInterval')
int | soundNum = 1

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | sound,
|  |  | loop = `0`,
|  |  | duration = `0.0`,
|  |  | name = `None`,
|  |  | volume = `1.0`,
|  |  | startTime = `0.0`,
|  |  | node = `None`,
|  |  | seamlessLoop = `True`,
|  |  | listenerNode = `None`,
|  |  | cutOff = `None`
| ) |  |

    __init__(sound, loop, name)

## Member Function Documentation

def finish | ( |  | self,
|  |  | args,
|  |  | kArgs
| ) |  |

def loop | ( |  | self,
|  |  | startT = `0.0`,
|  |  | endT = `-1.0`,
|  |  | playRate = `1.0`,
|  |  | stagger = `False`
| ) |  |

def privFinalize | ( |  | self | ) |

Reimplemented from Interval.

def privInitialize | ( |  | self,
|  |  | t
| ) |  |

Reimplemented from Interval.

def privInstant | ( |  | self | ) |

Reimplemented from Interval.

def privInterrupt | ( |  | self | ) |

Reimplemented from Interval.

def privReverseFinalize | ( |  | self | ) |

Reimplemented from Interval.

def privReverseInitialize | ( |  | self,
|  |  | t
| ) |  |

Reimplemented from Interval.

def privReverseInstant | ( |  | self | ) |

Reimplemented from Interval.

def privStep | ( |  | self,
|  |  | t
| ) |  |

Reimplemented from Interval.

## Member Data Documentation

currT

Reimplemented from Interval.

cutOff

fLoop

listenerNode

node

tuple notify = directNotify.newCategory('SoundInterval')`[static]`

Reimplemented from Interval.

sound

soundDuration

int soundNum = 1`[static]`

startTime

state

if self._reverse: # Don't attempt to play the sound backwards.

return

Reimplemented from Interval.

volume

All Classes Namespaces Functions Variables Enumerations Enumerator Properties